### org.jfree.layouting.normalizer.displaymodel

# Class FlowContext

- `java.lang.Object`
- - `org.jfree.layouting.normalizer.displaymodel.FlowContext`

Implemented Interfaces:
  Cloneable

`public class FlowContext`
`extends java.lang.Object`
`implements Cloneable`

Creation-Date: Jan 5, 2007, 4:30:53 PM

Author:
  Thomas Morgner

  ## Field Summary

  `static int`

  `STATE_CLOSE`

  `static int`

  `STATE_OPEN`

  `static int`

  `STATE_SUSPEND`

  ## Constructor Summary

  `FlowContext()`

  ## Method Summary

  `void`

  `addElement(int model, int role, LayoutContext lc)`

  `Object`

  `clone()`

  `int`

  `close()`

  `int`

  `getActiveDisplayModel()`

  `int`

  `getCurrentDisplayModel()`

  `int`

  `getCurrentDisplayRole()`

  `LayoutContext`

  `getCurrentLayoutContext()`

  `int`

  `getCurrentState()`

  `boolean`

  `isEmpty()`

  `void`

  `suspend()`

## Field Details

### STATE_CLOSE

    public static final int STATE_CLOSE

> Field Value:
>   2

### STATE_OPEN

    public static final int STATE_OPEN

> Field Value:
>   0

### STATE_SUSPEND

    public static final int STATE_SUSPEND

> Field Value:
>   1

## Constructor Details

### FlowContext

    public FlowContext()

## Method Details

### addElement

    public void addElement(int model,
                           int role,
                           LayoutContext lc)

### clone

    public Object clone()
                throws CloneNotSupportedException

### close

    public int close()

### getActiveDisplayModel

    public int getActiveDisplayModel()

### getCurrentDisplayModel

    public int getCurrentDisplayModel()

### getCurrentDisplayRole

    public int getCurrentDisplayRole()

### getCurrentLayoutContext

    public LayoutContext getCurrentLayoutContext()

### getCurrentState

    public int getCurrentState()

### isEmpty

    public boolean isEmpty()

### suspend

    public void suspend()